## GstParse GstParse |

## Functions

GQuark | gst_parse_error_quark ()
GstElement * | gst_parse_launch ()
GstElement * | gst_parse_launch_full ()
GstElement * | gst_parse_launchv ()
GstElement * | gst_parse_launchv_full ()
GstElement * | gst_parse_bin_from_description ()
GstElement * | gst_parse_bin_from_description_full ()
GstParseContext * | gst_parse_context_new ()
void | gst_parse_context_free ()
gchar ** | gst_parse_context_get_missing_elements ()

## Types and Values

#define | GST_PARSE_ERROR
enum | GstParseError
| GstParseContext
enum | GstParseFlags

## Object Hierarchy

        GBoxed
        ╰── GstParseContext

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_parse_error_quark ()

    GQuark
    gst_parse_error_quark (void);

### gst_parse_launch ()

    GstElement *
    gst_parse_launch (const gchar *pipeline_description,
                      GError **error);

### gst_parse_launch_full ()

    GstElement *
    gst_parse_launch_full (const gchar *pipeline_description,
                           GstParseContext *context,
                           GstParseFlags flags,
                           GError **error);

### gst_parse_launchv ()

    GstElement *
    gst_parse_launchv (const gchar **argv,
                       GError **error);

### gst_parse_launchv_full ()

    GstElement *
    gst_parse_launchv_full (const gchar **argv,
                            GstParseContext *context,
                            GstParseFlags flags,
                            GError **error);

### gst_parse_bin_from_description ()

    GstElement *
    gst_parse_bin_from_description (const gchar *bin_description,
                                    gboolean ghost_unlinked_pads,
                                    GError **err);

### gst_parse_bin_from_description_full ()

    GstElement *
    gst_parse_bin_from_description_full (const gchar *bin_description,
                                         gboolean ghost_unlinked_pads,
                                         GstParseContext *context,
                                         GstParseFlags flags,
                                         GError **err);

### gst_parse_context_new ()

    GstParseContext *
    gst_parse_context_new (void);

### gst_parse_context_free ()

    void
    gst_parse_context_free (GstParseContext *context);

### gst_parse_context_get_missing_elements ()

    gchar **
    gst_parse_context_get_missing_elements
                                   (GstParseContext *context);

## Types and Values

### GST_PARSE_ERROR

    #define GST_PARSE_ERROR gst_parse_error_quark ()

### enum GstParseError

#### Members

GST_PARSE_ERROR_SYNTAX |  |
GST_PARSE_ERROR_NO_SUCH_ELEMENT |  |
GST_PARSE_ERROR_NO_SUCH_PROPERTY |  |
GST_PARSE_ERROR_LINK |  |
GST_PARSE_ERROR_COULD_NOT_SET_PROPERTY |  |
GST_PARSE_ERROR_EMPTY_BIN |  |
GST_PARSE_ERROR_EMPTY |  |
GST_PARSE_ERROR_DELAYED_LINK |  |

### GstParseContext

    typedef struct _GstParseContext GstParseContext;

### enum GstParseFlags

#### Members

GST_PARSE_FLAG_NONE |  |
GST_PARSE_FLAG_FATAL_ERRORS |  |
GST_PARSE_FLAG_NO_SINGLE_ELEMENT_BINS |  |
GST_PARSE_FLAG_PLACE_IN_BIN |  |